#![allow(clippy::blocks_in_conditions)]

pub mod model;

#[cfg(feature = "rowing-tera")]
pub mod tera;

#[cfg(feature = "rest")]
pub mod rest;

#[cfg(test)]
#[macro_export]
macro_rules! testdb {
    () => {{
        let pool = SqlitePool::connect(":memory:").await.unwrap();
        sqlx::query_file!("./migration.sql")
            .execute(&pool)
            .await
            .unwrap();
        sqlx::query_file!("./seeds.sql")
            .execute(&pool)
            .await
            .unwrap();
        pool
    }};
}
